﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Map;

namespace HideZoomLevelElements
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			this.mapZoomBar.MapControl = this.radMap;
		}
	}

	public class CustomMapZoomBar : MapZoomBar
	{
		public bool isTemplateUpdated;

		public override void OnApplyTemplate()
		{
			if (!this.isTemplateUpdated)
			{
				this.isTemplateUpdated = true;
				var panel = this.GetTemplateChild("PART_ZoomPresetsPanel") as StackPanel;
				if (panel != null)
				{
					// remove Neighborhood Level
					panel.Children.RemoveAt(0);
					// remove City Level
					panel.Children.RemoveAt(0);

					panel.VerticalAlignment = VerticalAlignment.Bottom;
					panel.Margin = new Thickness(35, 0, 0, 33);
				}
			}

			base.OnApplyTemplate();
		}
	}
}
